@import url("https://fonts.googleapis.com/css2?family=Nunito&display=swap");

/* || RESET */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* || VARIABLES */
:root {
  /* FONT */
  --FF: "Nunito", sans-serif;
  --FS: 1.5rem;
  --FS-XL: 3rem;

  /* COLOR */
  --BGCOLOR: #475569;
  --ALT-BGCOLOR: #1E293B;
  --RADIAL-COLOR: whitesmoke;
  --LIGHT-COLOR: whitesmoke;
  --DARK-COLOR: #000;

  /* SQUARE */
  --SQUARE-BGCOLOR: papayawhip;
  --SQUARE-SIZE: max(150px, 20vw);

  /* GENERAL */
  --PADDING: 0.5rem;
  --SHADOWS: 0 6px 5px -5px var(--DARK-COLOR);
  --BORDERS: 2px solid var(--DARK-COLOR);
}

@media (prefers-color-scheme: dark) {
  :root {
    --BGCOLOR: #000;
    --ALT-BGCOLOR: #333;
    --RADIAL-COLOR: rgb(217, 217, 217);
    --SQUARE-BGCOLOR: rgb(202, 174, 202);
  }
}

/* || GENERAL STYLES */
body {
  font: var(--FS) var(--FF);
  min-height: 100vh;

  background-color: var(--BGCOLOR);
  background-image: radial-gradient(var(--RADIAL-COLOR), var(--BGCOLOR));
  display: flex;
  flex-direction: column;
}

header,
nav,
footer {
  display: grid;
  place-content: center;
  grid-template-columns: 100%;
  text-align: center;
}

header,
footer {
  position: sticky;
  background-color: var(--ALT-BGCOLOR);
  color: var(--LIGHT-COLOR);
}

header {
  top: 0;
}

nav {
  background-color: var(--LIGHT-COLOR);
  color: var(--DARK-COLOR);
  padding: var(--PADDING);
  border-bottom: var(--BORDERS);
  box-shadow: var(--SHADOWS);
}

main {
  flex-grow: 1;

  padding: 10px 0;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  flex-flow: row wrap;
  gap: min(4vw, 15px);
}

footer {
  bottom: 0;
}

/* || FEATURES */

.square--highlight {
  --SQUARE-BGCOLOR: rgb(235, 237, 100);
}

.square {
  background-color: var(--SQUARE-BGCOLOR);
  width: var(--SQUARE-SIZE);
  height: var(--SQUARE-SIZE);
  border: var(--BORDERS);
  border-radius: 15px;
  display: grid;
  place-content: center;
  font-size: var(--FS-XL);
  box-shadow: var(--SHADOWS);
}